LCP_WRITEPOL(8)

NAME
lcp_writepol - write LCP policy into a TPM NV index

SYNOPSIS
lcp_writepol -i index-value [-f policy-file | -e] [-p passwd] [-h]

DESCRIPTION
lcp_writepol is used to write LCP policy into a (previously-defined) TPM NV index. It also supports writing arbitrary data into a specified index.

OPTIONS

-i index-value
    Designate the index for writing. Index can be UINT32 or string. 3 strings are supported for the reserved LCP indices. Strings and default index values for each string are:

    default
        0x50000001(INDEX_LCP_DEF)

    owner
        0x40000001(INDEX_LCP_OWN)

    aux 0x50000002(INDEX_LCP_AUX)

-f policy-file
    File name where the policy data is stored.

-e  Write 0 length data to the index. This is useful for special indices, such as those permission is WRITEDFINE.

-p password
    The TPM owner password

-h  Print out the help message

EXAMPLES
lcp_writepol -i default -f policy-file

lcp_writepol -i 0x00011101 -e

lcp_writepol -i 0x00011101 -f policy-file -p 123456

SEE ALSO
lcp_readpol(8), lcp_crtpol(8).